Bug 591094 - SELinux is preventing /sbin/shutdown "ioctl" access on /var/log/kdm.log.
SELinux is preventing /sbin/shutdown "ioctl" access on /var/log/kdm.log.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:79b152a8539...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 08:33 EDT by A S Alam
Modified: 2013-07-02 21:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-15.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2010-05-11 08:33:09 EDT
Summary:

SELinux is preventing /sbin/shutdown "ioctl" access on /var/log/kdm.log.

Detailed Description:

SELinux denied access requested by shutdown. It is not expected that this access
is required by shutdown and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:shutdown_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xserver_log_t:s0
Target Objects                /var/log/kdm.log [ file ]
Source                        shutdown
Source Path                   /sbin/shutdown
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           upstart-0.6.5-3.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-10.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-79.fc13.x86_64 #1 SMP Mon May 3 22:37:18
                              UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Fri 07 May 2010 08:42:20 AM IST
Last Seen                     Fri 07 May 2010 08:42:20 AM IST
Local ID                      8e4c10d8-2565-4f34-bc5c-af471228f395
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273201940.632:24158): avc:  denied  { ioctl } for  pid=5419 comm="shutdown" path="/var/log/kdm.log" dev=sda3 ino=36150 scontext=system_u:system_r:shutdown_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xserver_log_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273201940.632:24158): arch=c000003e syscall=16 success=no exit=-25 a0=1 a1=5401 a2=7fff9769fd20 a3=7fff9769fcb0 items=0 ppid=1413 pid=5419 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="shutdown" exe="/sbin/shutdown" subj=system_u:system_r:shutdown_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,shutdown,shutdown_t,xserver_log_t,file,ioctl
audit2allow suggests:

#============= shutdown_t ==============
allow shutdown_t xserver_log_t:file ioctl;
Comment 1 Daniel Walsh 2010-05-11 11:04:07 EDT
Fixed in selinux-policy-3.7.19-15.fc13.noarch
Comment 2 Fedora Update System 2010-05-11 17:17:18 EDT
selinux-policy-3.7.19-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 3 Fedora Update System 2010-05-12 08:20:03 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 4 Fedora Update System 2010-05-15 16:22:17 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 5 Fedora Update System 2010-05-18 17:46:48 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.